PDF::API2::Resource::Font::SynFont(3)

NAME
PDF::API2::Resource::Font::SynFont - Module for using synthetic Fonts.

SYNOPSIS
    #
    use PDF::API2;
    #
    $pdf = PDF::API2->new;
    $sft = $pdf->synfont($cft);
    #

METHODS

$font = PDF::API2::Resource::Font::SynFont->new $pdf, $fontobj, %options
    Returns a synfont object.

    Valid %options are:

    -encode ... changes the encoding of the font from its default. See perl's Encode for the supported values.

    -pdfname ... changes the reference-name of the font from its default. The reference-name is normally generated automatically and can be retrived via $pdfname=$font->name.

    -slant ... slant/expansion factor (0.1-0.9 = slant, 1.1+ = expansion).

    -oblique ... italic angle (+/-)

    -bold ... embolding factor (0.1+, bold=1, heavy=2, ...).

    -space ... additional charspacing in em (0-1000).

    -caps ... create synthetic small-caps.

$font = PDF::API2::Resource::Font::SynFont->new_api $api, $fontobj, %options
    Returns a synfont object. This method is different from 'new' that it needs an PDF::API2-object rather than a PDF::API2::PDF::File-object.

AUTHOR
alfred reibenschuh